Bug 238141 - i810 that used to work with older x11 fails to be configured properly
Summary: i810 that used to work with older x11 fails to be configured properly
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Keywords: HardwareEnablement, Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-27 13:56 UTC by Lubomir Kundrak
Modified: 2018-04-11 07:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 13:03:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Differencies between the logs of old and updated i810 driver (12.27 KB, patch)
2007-04-29 17:53 UTC, Lubomir Kundrak
no flags Details | Diff
Config files and logs from i810 on FC4 and FC6 (240.00 KB, application/x-tar)
2007-05-03 08:38 UTC, Lubomir Kundrak
no flags Details
Xorg.0.log from FC6 (59.88 KB, text/plain)
2007-05-28 21:38 UTC, Matěj Cepl
no flags Details
Xorg.0.log from FC4 (52.21 KB, text/plain)
2007-05-28 21:38 UTC, Matěj Cepl
no flags Details
Xorg.0.log.rpath-fc6 (59.78 KB, text/plain)
2007-05-28 21:40 UTC, Matěj Cepl
no flags Details
Xorg.0.log.rpath-rpath (57.65 KB, text/plain)
2007-05-28 21:41 UTC, Matěj Cepl
no flags Details
xorg.conf.fc6 (613 bytes, application/octet-stream)
2007-05-28 21:41 UTC, Matěj Cepl
no flags Details
xorg.conf.rpath (2.80 KB, text/plain)
2007-05-28 21:42 UTC, Matěj Cepl
no flags Details

Description Lubomir Kundrak 2007-04-27 13:56:18 UTC
Description of problem:

Symptom of the problem is that screen of a Daewoo 1509B monitor connected to
a Intel 82845 just gets blank and power led blinks with configuration
generated by anaconda (xorg.conf.fc6, Xorg.0.log.fc6-fc6). The same
applies for no configuration file, and also for one generated by
X -configure.

I've also run rPath Linux 1.0.5 (which is, I believe, derived from FC5),
and there things work fine. It has XOrg 6.8.2, and there everything
worked (Xorg.0.log.rpath-rpath) with anaconda-generated configuration
(xorg.conf.rpath). The same configuration did not work in FC6
(Xorg.0.log.rpath-fc6). Also, the configuration generated by FC6
anaconda did not work in rPath (Xorg.0.log.fc6-rpath).

Version-Release number of selected component (if applicable):

Although the log files are not from latest update, the same thing
happens with everything updated.

Additional info:

Everything here applies for "1024x768" resolution. When I add Mode
"800x600" to SubSection "Display", things work also in FC6. BPP seem
not to make any difference.

Comment 1 Lubomir Kundrak 2007-04-27 14:10:37 UTC
What is in FC6 log and not in rPath one:

No idea what's this:
(WW) I810(0): Extended BIOS function 0x5f05 failed.
(II) I810(0): BIOS call 0x5f05 not supported, setting refresh with VBE 3 method.

This is certainly incorrect:
(==) I810(0): VideoRAM: 65536 kByte
rPath's x11 reported correctly:
(==) I810(0): VideoRAM: 32768 kByte

No idea, either.
(WW) EDID preferred timing clock 94.50MHz exceeds claimed max 90MHz, fixing

Whis is weird. I do not have that much video memory:
(II) I810(0): Allocated 52992 kB for textures at 0x620000
Versus old x11:
(II) I810(0): Allocated 32 kB for the logical context at 0x73f8000.

And here... Certainly not right too. IRQ 177...
(II) I810(0): [drm] Initialized kernel agp heap manager, 54263808
(II) I810(0): [drm] dma control initialized, using IRQ 177
versus
(II) I810(0): [drm] dma control initialized, using IRQ 5
(II) I810(0): [drm] Initialized kernel agp heap manager, 21757952

Comment 2 Lubomir Kundrak 2007-04-28 07:05:19 UTC
I lied. rPath is not derived from FC5.
And FC5's 7.0.0 also has the bug.

Comment 3 Lubomir Kundrak 2007-04-28 11:30:14 UTC
Two more things:

The smolt profile of the machine is here:
http://smolt.fedoraproject.org/show?UUID=548e727f-f164-4e32-8e91-c194a060ddc0

When using "intel" driver instead of "i810" nothing changes, the amount ov
VideoRAM detected by the X11 server is still incorrect (64M).

Comment 4 Lubomir Kundrak 2007-04-28 15:55:31 UTC
After I updated the machine's firmware, X11 server no longer complains about
invalid V_BIOS checksum, as can be seen in the attached logs. Nothing else
changed.

Comment 5 Lubomir Kundrak 2007-04-29 17:53:11 UTC
Created attachment 153738 [details]
Differencies between the logs of old and updated i810 driver

The problem doesn't appear in xorg-x11-6.8.2-31.FC4, but it does in
xorg-x11-6.8.2-37.FC4.49.4. The difference that is suspect to be guilty is the
patch xorg-x11-6.8.2-add-i945-support.patch.

I attach the differencies between the logs of the two.

Comment 6 Matěj Cepl 2007-05-02 21:53:15 UTC
Hi, Lubomir, could we get full /var/log/Xorg.*.log and /etc/X11/xorg.conf, please?

Comment 7 Lubomir Kundrak 2007-05-03 08:38:11 UTC
Created attachment 154012 [details]
Config files and logs from i810 on FC4 and FC6

Sure. Pardon me for not providing those before, I have even collected and
packed them, but forgot to attach.

In the tarball attached, "rPath" basically corresponds to FC4 without the
patch.

Comment 8 Matěj Cepl 2007-05-28 21:38:09 UTC
Created attachment 155560 [details]
Xorg.0.log from FC6

Comment 9 Matěj Cepl 2007-05-28 21:38:49 UTC
Created attachment 155561 [details]
Xorg.0.log from FC4

Comment 10 Matěj Cepl 2007-05-28 21:40:32 UTC
Created attachment 155562 [details]
Xorg.0.log.rpath-fc6

Comment 11 Matěj Cepl 2007-05-28 21:41:23 UTC
Created attachment 155563 [details]
Xorg.0.log.rpath-rpath

Comment 12 Matěj Cepl 2007-05-28 21:41:59 UTC
Created attachment 155564 [details]
xorg.conf.fc6

Comment 13 Matěj Cepl 2007-05-28 21:42:46 UTC
Created attachment 155565 [details]
xorg.conf.rpath

Comment 14 Lubomir Kundrak 2007-09-21 11:03:37 UTC
Section "Device"
        Identifier      "Videocard0"
        Driver          "i810"
        Option          "NoDDC"
EndSection

Section "Monitor"
     Identifier         "Monitor0"
     VertRefresh        56 - 75
     HorizSync          30 - 69
EndSection

Fixed that then (NoDCC was needed). The problem was only with that particular
monitor, that I'll send for a recyclation in a week or so :)

Comment 15 Matěj Cepl 2007-09-21 11:44:14 UTC
OK, so should I close this as INSUFFICIENT_DATA?

Comment 16 Lubomir Kundrak 2007-09-21 13:03:45 UTC
Works alright with rawhide.


Note You need to log in before you can comment on or make changes to this bug.